JALV(1)

NAME
jalv - Run an LV2 plugin as a JACK application (console version).

SYNOPSIS
jalv [OPTION]... PLUGIN_URI

OPTIONS

-b SIZE
    Buffer size for plugin <=> UI communication.

-c SYM=VAL
    Set control value (e.g. "vol=1.4").

-d  Dump plugin <=> UI communication.

-U URI
    Load the UI with the given URI.

-h  Print the command line options.

-i  Ignore input on stdin (for background use).

-l DIR
    Load state from state directory.

-n NAME
    Jack client name

-p  Print control output changes to stdout.

-s  Show plugin UI if possible.

    This option only works when plugins provide a UI that is usable via the non-embeddable showHide interface. For other, embeddable UIs, use jalv.gtk(1) or jalv.qt(1).

-t  Print trace messages from plugin

-x  Use only exact Jack client name, and exit if it is taken

COMMANDS

The Jalv prompt supports several commands for interactive control:

  help Display help message
  controls Print settable control values
  monitors Print output control values
  presets Print available presets
  preset URI Set preset
  set INDEX VALUE Set control value by port index
  set SYMBOL VALUE Set control value by symbol
  SYMBOL = VALUE Set control value by symbol

SEE ALSO
jalv.gtk(1), jalv.gtk3(1), jalv.qt5(2), lv2ls(1), jackd(1)

AUTHOR
jalv was written by David Robillard <d@drobilla.net>

This manual page was written by Jaromír Mikes <mira.mikes@seznam.cz> and David Robillard <d@drobilla.net>